#include <stdlib.h>
#include <stdio.h>
#include <time.h>
#include <sys/time.h>

void elapsed( char *file )
{
	struct timeval tv1,tv2,tv3;
	FILE *f = fopen(file,"r");
	if( f == NULL ){
		fprintf(stderr,"cant open start time: %s",file);				exit(1);	
	}
	if( fscanf(f,"%d.%d",&tv1.tv_sec , &tv1.tv_usec) != 2 ){
		fprintf(stderr,"error reading start time: %s",file);
		exit(1);
	}
	//printf("%d.%6d\n",tv1.tv_sec, tv1.tv_usec);
	
     	gettimeofday(&tv2, NULL );
	//printf("%d.%6d\n",tv2.tv_sec, tv2.tv_usec);
	timerclear(&tv3);
	
	timersub(&tv2,&tv1,&tv3);
	printf("%d.%06d\n",tv3.tv_sec, tv3.tv_usec);


}

void current()
{
     struct timeval tv;
     gettimeofday(&tv, NULL );
     printf("%d.%06d\n",tv.tv_sec, tv.tv_usec);
}

main(int ac, char **av)
{
	if( ac > 2 && strcmp(av[1],"-elapsed" )==0)
		elapsed(av[2]);
	else
		current();
	exit(0);	

}

