import module namespace global = "http://schemas.epocrates.com/schemas/xquery/dxglobal"
   at "global.xquery" ;

declare variable $source as element(source)* external;

declare function local:content_type( $file as xs:string ) as xs:string
{
	if( matches( $file , "\.jpg$" ) ) then "image/jpeg" 
	else
	if( matches( $file , "\.gif$" ) ) then "image/gif" 
	else
	 	"image/binary"
};




<XTOOL creator="{$global:creator}" index="index" version="5">
   <METADATA/>
   <CONTENT>
   {
   	for $s in $source
	let $name := $s/@name/string(),
	    $title := global:topic_name($name)
	return 
	<XTEXT id="{$name}" name="{$name}" version ="1" title="{$title}">
	{
	   for $v in $s/view
	   return
	      <VIEW source="{$v/@source}" view="{$v/@id}" />
	}
	{
		for $i in $s/image
		return
		if( $i/@hilight = 'true' ) then 
			<MEDIA content_type="{local:content_type($i/@file)}" context="0" thumb_uri="{$i/@thumb}" uri="{$i/@file}" caption="{$i/@caption}" src="{$i/@file}" />
		else
			<MEDIA content_type="{local:content_type($i/@file)}" context="1" thumb_uri="{$i/@thumb}" uri="{$i/@file}" caption="{$i/@caption}" />
	}
	</XTEXT>
   }


   </CONTENT>
   <PDB_FILES>
      <XMLPDB source="topics_list.xml"/>
	   <XMLPDB source="nav_list.xml"/>
   </PDB_FILES>

</XTOOL>(: Stylus Studio meta-information - (c) 2004-2008. Progress Software Corporation. All rights reserved.

<metaInformation>
	<scenarios>
		<scenario default="yes" name="Scenario1" userelativepaths="yes" externalpreview="no" useresolver="yes" url="" outputurl="" processortype="datadirect" tcpport="0" profilemode="0" profiledepth="" profilelength="" urlprofilexml="" commandline=""
		          additionalpath="" additionalclasspath="" postprocessortype="none" postprocesscommandline="" postprocessadditionalpath="" postprocessgeneratedext="" host="" port="0" user="" password="" validateoutput="no" validator="internal"
		          customvalidator="">
			<advancedProperties name="bSchemaAware" value="true"/>
			<advancedProperties name="bXml11" value="false"/>
			<advancedProperties name="iValidation" value="0"/>
			<advancedProperties name="bExtensions" value="true"/>
			<advancedProperties name="iWhitespace" value="0"/>
			<advancedProperties name="bTinyTree" value="true"/>
			<advancedProperties name="bUseDTD" value="false"/>
			<advancedProperties name="bWarnings" value="true"/>
		</scenario>
	</scenarios>
	<MapperMetaTag>
		<MapperInfo srcSchemaPathIsRelative="yes" srcSchemaInterpretAsXML="no" destSchemaPath="" destSchemaRoot="" destSchemaPathIsRelative="yes" destSchemaInterpretAsXML="no"/>
		<MapperBlockPosition></MapperBlockPosition>
		<TemplateContext></TemplateContext>
		<MapperFilter side="source"></MapperFilter>
	</MapperMetaTag>
</metaInformation>
:)